package com.boman.jflow.api;

import com.alibaba.fastjson.JSONObject;
import com.boman.domain.constant.ServiceNameConstants;
import com.boman.domain.dto.AjaxResult;
import com.boman.domain.dto.ProcessDto;
import com.boman.domain.dto.TaskDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author shiqian
 * @date 2021年05月26日 15:09
 **/
@FeignClient(contextId = "remoteJflowService", name = ServiceNameConstants.JFLOW_SERVICE)
public interface RemoteJflowService {

//    @GetMapping("/jflow/p/cs/task/searchString")
//    String createProcess();

    /**
     * 历史审批接口调用
     *
     * @param taskDto
     * @return
     */
    @PostMapping("/jflow/p/cs/task/history/list")
    AjaxResult historySearchInPage(@RequestBody(required = false) TaskDto taskDto);

    /**
     * 代办审批接口调用
     *
     * @param taskDto
     * @return
     */
    @PostMapping("/jflow/p/cs/task/backlog/list")
    AjaxResult pendingTaskSearch(@RequestBody TaskDto taskDto);

    @GetMapping("/jflow/p/cs/task/count")
    JSONObject approvalStatistics(@RequestBody TaskDto taskDto);
}
